$:.unshift File.expand_path("../lib", __FILE__)

Gem::Specification.new do |gem|
  gem.name    = "rsrc"
  gem.version = "0.1"

  gem.author      = "nmls"
  gem.email       = "nmlsemail@gmail.com"
  gem.homepage    = "https://github.com/nmls/rsrc"
  gem.summary     = "Command-line tool and generator"
  gem.description = "Command-line tool for generating boilerplate for testing Ruby scripts"
  gem.executables = "rsrc"
  gem.license     = "public"

  gem.files = `git ls-files`.split("\n") - %w[.gitignore .rspec]

  gem.add_dependency "awesome_print", '~> 1.0.2'
  gem.add_dependency "bundler", '~> 1.1.3'
  gem.add_dependency "coderay", '~> 1.0.6'
  gem.add_dependency "diff-lcs", '~> 1.1.3'
  gem.add_dependency "ffi", '~> 1.0.11'
  gem.add_dependency "guard", '~> 1.1.1'
  gem.add_dependency "guard-rspec", '~> 1.0.1'
  gem.add_dependency "guard-spork", '~> 1.0.0'
  gem.add_dependency "listen", '~> 0.4.4'
  gem.add_dependency "method_source", '~> 0.7.1'
  gem.add_dependency "pry", '~> 0.9.9.6'
  gem.add_dependency "rb-fchange", '~> 0.0.5'
  gem.add_dependency "rb-fsevent", '~> 0.9.1'
  gem.add_dependency "rb-inotify", '~> 0.8.8'
  gem.add_dependency "rspec", '~> 2.10.0'
  gem.add_dependency "rspec-core", '~> 2.10.1'
  gem.add_dependency "rspec-expectations", '~> 2.10.0'
  gem.add_dependency "rspec-mocks", '~> 2.10.1'
  gem.add_dependency "slop", '~> 2.4.4'
  gem.add_dependency "spork", '~> 1.0.0rc3'
  gem.add_dependency "thor", '~> 0.15.2'
end

