describe String do
  context "class name" do
    it "should generate class name from string" do
      "my_class_name".to_classname.should eq("MyClassName")
    end
  end

  context "file name" do
    it "should generate file name from string" do
      "my file name".to_filename.should eq("my_file_name.rb")
    end

    it "should generate file name from string using prefix" do
      "my file name".to_filename("test").should eq("my_file_name_test.rb")
    end
  end
end

