require 'spork'

Spork.prefork do
  require 'rspec'
  require 'awesome_print'
  require 'pry'
  
  $: << "lib"
  $: << "lib/core"
  
  RSpec.configure do |config|
    config.mock_with :rspec
  end
end

Spork.each_run do
  require 'string'
  require 'generator'
end

